Fish_SeniorPrizeWeight = {}

function Fish_SeniorPrizeWeight:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_SeniorPrizeWeight:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Type = 1, graphID = 1, Weight = 1, DivideJackpotRate = 50, ItemID = 0, ItemCount = 0, JackpotValue = 0}
	self.datas[2] = {ID = 2, Type = 1, graphID = 1, Weight = 24, DivideJackpotRate = 20, ItemID = 0, ItemCount = 0, JackpotValue = 0}
	self.datas[3] = {ID = 3, Type = 1, graphID = 1, Weight = 500, DivideJackpotRate = 5, ItemID = 0, ItemCount = 0, JackpotValue = 0}
	self.datas[4] = {ID = 4, Type = 1, graphID = 1, Weight = 9475, DivideJackpotRate = 0, ItemID = 0, ItemCount = 0, JackpotValue = 0}
	self.datas[5] = {ID = 5, Type = 2, graphID = 2, Weight = 1500, DivideJackpotRate = 0, ItemID = 96, ItemCount = 1, JackpotValue = 14000000}
	self.datas[6] = {ID = 6, Type = 2, graphID = 3, Weight = 4000, DivideJackpotRate = 0, ItemID = 94, ItemCount = 1, JackpotValue = 2000000}
	self.datas[7] = {ID = 7, Type = 2, graphID = 4, Weight = 2400, DivideJackpotRate = 0, ItemID = 1, ItemCount = 3000000, JackpotValue = 1}
	self.datas[8] = {ID = 8, Type = 2, graphID = 5, Weight = 2100, DivideJackpotRate = 0, ItemID = 1, ItemCount = 1800000, JackpotValue = 1}
	self.datas[9] = {ID = 9, Type = 2, graphID = 6, Weight = 2000, DivideJackpotRate = 0, ItemID = 337, ItemCount = 10, JackpotValue = 2000000}
end

Fish_SeniorPrizeWeight:init()
